## expat 2.2.0

=== CMakeLists.txt ===
# This file is copyrighted under the BSD-license for buildsystem files of KDE
# copyright 2010, Patrick Spendrin <ps_ml@gmx.de>

project(expat)

cmake_minimum_required(VERSION 2.6)
set(PACKAGE_BUGREPORT "expat-bugs@libexpat.org")
set(PACKAGE_NAME "expat")
set(PACKAGE_VERSION "2.2.0")
set(PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
set(PACKAGE_TARNAME "${PACKAGE_NAME}")

option(BUILD_tools "build the xmlwf tool for expat library" ON)
option(BUILD_examples "build the examples for expat library" ON)
option(BUILD_tests "build the tests for expat library" ON)
option(BUILD_shared "build a shared expat library" ON)

# configuration options
set(XML_CONTEXT_BYTES 1024 CACHE STRING "Define to specify how much context to retain around the current parse point")
option(XML_DTD "Define to make parameter entity parsing functionality available" ON)
option(XML_NS "Define to make XML Namespaces functionality available" ON)

if(XML_DTD)
    set(XML_DTD 1)
else(XML_DTD)
    set(XML_DTD 0)
endif(XML_DTD)
if(XML_NS)
    set(XML_NS 1)
else(XML_NS)
    set(XML_NS 0)
endif(XML_NS)

if(BUILD_tests)
    enable_testing()
endif(BUILD_tests)

include(ConfigureChecks.cmake)

include_directories(${CMAKE_BINARY_DIR} ${CMAKE_SOURCE_DIR}/lib)
if(MSVC)
    add_definitions(-D_CRT_SECURE_NO_WARNINGS -wd4996)
endif(MSVC)
if(WIN32)
    add_definitions(-DWIN32)
    set(CMAKE_DEBUG_POSTFIX "d" CACHE STRING "Add a suffix, usually d on Windows")
endif(WIN32)

set(expat_SRCS
    lib/xmlparse.c
    lib/xmlrole.c
    lib/xmltok.c 
    lib/xmltok_impl.c 
    lib/xmltok_ns.c
)

if(BUILD_shared)
    set(_SHARED SHARED)
    if(WIN32)
        set(expat_SRCS ${expat_SRCS} lib/libexpat.def)
    endif(WIN32)
else(BUILD_shared)
    set(_SHARED STATIC)
    if(WIN32)
        add_definitions(-DXML_STATIC)
    endif(WIN32)
endif(BUILD_shared)

add_library(expat ${_SHARED} ${expat_SRCS})

set(LIBCURRENT 7)   # sync
set(LIBREVISION 2)  # with
set(LIBAGE 6)       # configure.ac!
math(EXPR LIBCURRENT_MINUS_AGE "${LIBCURRENT} - ${LIBAGE}")

if(NOT WIN32)
    set_property(TARGET expat PROPERTY VERSION ${LIBCURRENT_MINUS_AGE}.${LIBAGE}.${LIBREVISION})
    set_property(TARGET expat PROPERTY SOVERSION ${LIBCURRENT_MINUS_AGE})
    set_property(TARGET expat PROPERTY NO_SONAME ${NO_SONAME})
endif(NOT WIN32)

install(TARGETS expat RUNTIME DESTINATION bin
                      LIBRARY DESTINATION lib
                      ARCHIVE DESTINATION lib)

set(prefix ${CMAKE_INSTALL_PREFIX})
set(exec_prefix "\${prefix}/bin")
set(libdir "\${prefix}/lib")
set(includedir "\${prefix}/include")
configure_file(expat.pc.in ${CMAKE_CURRENT_BINARY_DIR}/expat.pc)

install(FILES lib/expat.h lib/expat_external.h DESTINATION include)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/expat.pc DESTINATION lib/pkgconfig)


add_custom_command(TARGET expat PRE_BUILD COMMAND $(MAKE) -C doc xmlwf.1)

if(BUILD_tools AND NOT WINCE)
    set(xmlwf_SRCS
        xmlwf/xmlwf.c
        xmlwf/xmlfile.c
        xmlwf/codepage.c
        xmlwf/readfilemap.c
    )

    add_executable(xmlwf ${xmlwf_SRCS})
    set_property(TARGET xmlwf PROPERTY RUNTIME_OUTPUT_DIRECTORY xmlwf)
    target_link_libraries(xmlwf expat)
    install(TARGETS xmlwf DESTINATION bin)
    install(FILES doc/xmlwf.1 DESTINATION share/man/man1)
endif(BUILD_tools AND NOT WINCE)

if(BUILD_examples)
    add_executable(elements examples/elements.c)
    set_property(TARGET elements PROPERTY RUNTIME_OUTPUT_DIRECTORY examples)
    target_link_libraries(elements expat)

    add_executable(outline examples/outline.c)
    set_property(TARGET outline PROPERTY RUNTIME_OUTPUT_DIRECTORY examples)
    target_link_libraries(outline expat)
endif(BUILD_examples)

if(BUILD_tests)
    ## these are unittests that can be run on any platform
    add_executable(runtests tests/runtests.c tests/chardata.c tests/minicheck.c)
    set_property(TARGET runtests PROPERTY RUNTIME_OUTPUT_DIRECTORY tests)
    target_link_libraries(runtests expat)
    add_test(runtests tests/runtests)

    add_executable(runtestspp tests/runtestspp.cpp tests/chardata.c tests/minicheck.c)
    set_property(TARGET runtestspp PROPERTY RUNTIME_OUTPUT_DIRECTORY tests)
    target_link_libraries(runtestspp expat)
    add_test(runtestspp tests/runtestspp)
endif(BUILD_tests)

## expat 1.95.8-3maemo

=== debian/changelog ===
expat (1.95.8-3maemo) unstable; urgency=low

  * Added support for building with thumb instructions (N#26679).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 08 May 2006 14:00:29 +0300

expat (1.95.8-3) unstable; urgency=low

  * Makefile.in: added $(srcdir)/expat_config.h to APIHEADER
    (closes: Bug#302191)
  * rebuild against latest libtool for kfreebsd-gnu
    (closes: Bug#295825)

 -- Ardo van Rangelrooij <ardo@debian.org>  Tue, 19 Apr 2005 21:50:50 -0500

expat (1.95.8-2) unstable; urgency=low

  * rebuild against latest libtool for kfreebsd-gnu

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 19 Feb 2005 13:45:36 -0600

expat (1.95.8-1) unstable; urgency=low

  * New upstream release
    (closes: Bug#263858)
  * debian/rules: added '-pthread -D_REENTRANT' to 'CFLAGS'
  * Added debian/watch

 -- Ardo van Rangelrooij <ardo@debian.org>  Tue, 19 Oct 2004 19:31:03 -0500

expat (1.95.6-8) unstable; urgency=low

  * debian/control: fixed typo in maintainer's email address

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 29 Feb 2004 11:01:15 -0600

expat (1.95.6-7) unstable; urgency=low

  * debian/control: upgraded to Debian Policy 3.6.1 (no changes)
  * debian/control: changed 'Maintainer' to 'Debian XML/SGML Group
    <debian-xml-sgml-pkgs@lists.alioth.debian.org>' and added current
    maintainer as 'Uploader'

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 29 Feb 2004 10:51:47 -0600

expat (1.95.6-6) unstable; urgency=low

  * debian/control: changed section of 'libexpat1-dev' from 'devel'
    to 'libdevel' to align with override
  * debian/control: changed priority of 'libexpat1-udeb' from 'optional'
    to 'extra' to aliagn with override

 -- Ardo van Rangelrooij <ardo@debian.org>  Tue, 29 Jul 2003 19:53:02 -0500

expat (1.95.6-5) unstable; urgency=low

  * debian/control: changed build dependency on 'debhelper' to '(>= 4.1)'
  * debian/control: upgraded to Debian Policy 3.6.0 (no changes)

 -- Ardo van Rangelrooij <ardo@debian.org>  Mon, 28 Jul 2003 22:45:43 -0500

expat (1.95.6-4) unstable; urgency=low

  * Added support to generate a 'libexpat1-udeb' package for the upcoming
    gtk frontend for the new debian installer
    (closes: Bug#183830)
  * debian/rules: moved debhelper compatibility level setting to
    'debian/compat' per latest debhelper best practices

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  9 Mar 2003 20:42:31 -0600

expat (1.95.6-3) unstable; urgency=low

  * lib/expat.h: moved declaration of 'enum XML_Status' up
    (closes: Bug#179914)

 -- Ardo van Rangelrooij <ardo@debian.org>  Mon, 17 Feb 2003 19:28:14 -0600

expat (1.95.6-2) unstable; urgency=low

  * debian/libexpat1.shlibs: changed to 1.95.6 (oops!)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  2 Feb 2003 18:24:54 -0600

expat (1.95.6-1) unstable; urgency=low

  * New upstream release
    - fixes frequent segfault on nontrivial documents using namespaces
      (closes: Bug#179462)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  2 Feb 2003 14:53:04 -0600

expat (1.95.5-1) unstable; urgency=low

  * New upstream release
    (closes: Bug#164202)
  * debian/control: changed dependency for package 'libexpat1-dev' on the
    C library from 'libc6-dev' to 'libc6-dev | libc-dev'
  * debian/libexpat1.shlibs: added to provide info about libexpat.so.0
    (which is a symlink to libexpat.so.1 due to an NMU mishap, see below)
    (closes: Bug#147751)

 -- Ardo van Rangelrooij <ardo@debian.org>  Wed, 25 Dec 2002 14:46:32 -0600

expat (1.95.2-10) unstable; urgency=low

  * autogen.sh: upgraded to 'automake1.7'
  * debian/rules: removed 'autotools' target as its function is now handled
    by 'autogen.sh'
  * debian/control: removed obsolete build dependency on 'autotools-dev'
  * debian/control: added 'Provides' and 'Conflicts' with 'libexpat-dev'
    for package 'libexpat1-dev'
  * debian/control: upgraded to Debian Policy 3.5.8

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 21 Dec 2002 23:33:34 -0600

expat (1.95.2-9) unstable; urgency=low

  * debian/rules: migrated documentation installation handling to debhelper

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  6 Oct 2002 22:52:54 -0500

expat (1.95.2-8) unstable; urgency=low

  * debian/rules: migrated to autoconf 2.52 and above

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  6 Oct 2002 15:37:04 -0500

expat (1.95.2-7) unstable; urgency=low

  * debian/rules: upgraded to debhelper v4
  * debian/control: changed build dependency on debhelper accordingly
  * debian/rules: migrated from 'dh_movefiles' to 'dh_install'
  * debian/rules: split off 'install' target from 'binary-arch' target

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 10 Aug 2002 11:02:25 -0500

expat (1.95.2-6) unstable; urgency=low

  * debian/control: removed unnecessary build dependency on 'autoconf'

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  9 Dec 2001 12:19:40 -0600

expat (1.95.2-5) unstable; urgency=low

  * Added man page for 'xmlwf'
    (closes: Bug#39461)
  * Converted to autotools-dev
  * debian/control: added build dependency on 'autotools-dev'
  * debian/control: removed build dependency on 'automake' and 'libtool'

 -- Ardo van Rangelrooij <ardo@debian.org>  Fri,  7 Dec 2001 23:35:47 -0600

expat (1.95.2-4) unstable; urgency=low

  * Removed explicit 'dhelp' support since 'doc-base' now takes care of this
  * debian/control: upgraded to Debian Policy 3.5.6

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  4 Nov 2001 11:22:19 -0600

expat (1.95.2-3) unstable; urgency=high

  * Includes NMU 1.95.2-2.1
    (closes: Bug#111957)
  * Added symlink from libexpat.so.0 to libexpat.so.1 to handle the
    problems caused by the library soname change introduced by this NMU
    (closes: Bug#116724, Bug#116727)

 -- Ardo van Rangelrooij <ardo@debian.org>  Wed, 31 Oct 2001 11:09:47 -0600

expat (1.95.2-2.1) unstable; urgency=low

  * NMU.
  * Added call to aclocal before call to autoconf in Makefile.in.
    Closes: #111957.


=== debian/control ===
Source: expat
Section: text
Priority: optional
Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
Uploaders: Ardo van Rangelrooij <ardo@debian.org>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 4.1)

Package: libexpat1-dev
Section: libdevel
Priority: optional
Architecture: any
Provides: libexpat-dev
Conflicts: libexpat-dev
Depends: libexpat1 (= ${Source-Version}), libc6-dev | libc-dev
Description: XML parsing C library - development kit
 This package contains the header file and development libraries of
 expat, the C library for parsing XML.  Expat is a stream oriented XML
 parser.  This means that you register handlers with the parser prior
 to starting the parse.  These handlers are called when the parser
 discovers the associated structures in the document being parsed.  A
 start tag is an example of the kind of structures for which you may
 register handlers.

Package: libexpat1
Section: libs
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}
Description: XML parsing C library - runtime library
 This package contains the runtime, shared library of expat, the C
 library for parsing XML.

Package: libexpat1-udeb
Section: debian-installer
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}
Provides: libexpat1
Description: XML parsing C library - runtime library
 This package contains the runtime, shared library of expat, the C
 library for parsing XML.

Package: expat
Section: text
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}
Description: XML parsing C library - example application
 This package contains xmlwf, an example application of expat, the C
 library for parsing XML.  The arguments to xmlwf are one or more
 files which are each to be checked for XML well-formedness.

=== debian/rules ===
#!/usr/bin/make -f
## ----------------------------------------------------------------------
## debian/rules : package script for expat
## ----------------------------------------------------------------------

## ----------------------------------------------------------------------
## uncomment this to turn on verbose mode
#export DH_VERBOSE=1

## ----------------------------------------------------------------------
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

## ----------------------------------------------------------------------
CONFFLAGS	=
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
    CONFFLAGS	+= --build $(DEB_HOST_GNU_TYPE)
else
    CONFFLAGS	+= --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif

## ----------------------------------------------------------------------
INSTALL		= install
INSTALL_FILE	= $(INSTALL) -p -o root -g root -m  644
INSTALL_PROGRAM	= $(INSTALL) -p -o root -g root -m  755
INSTALL_SCRIPT	= $(INSTALL) -p -o root -g root -m  755
INSTALL_DIR	= $(INSTALL) -p -o root -g root -m  755 -d

## ----------------------------------------------------------------------
CFLAGS		= -Wall -g -pthread -D_REENTRANT

## ----------------------------------------------------------------------
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
    CFLAGS	+= -O0
else
    CFLAGS	+= -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
    INSTALL_PROGRAM += -s
endif

# Use soft-float and thumb mode if it is enabled.
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
    CFLAGS += -mthumb
endif

## ----------------------------------------------------------------------
UPACKAGE	= $(shell dh_listpackages | grep -- -udeb$$)
VERSION		= $(shell dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2)
ARCH		= $(shell dpkg --print-architecture)
UFILENAME	= $(UPACKAGE)_$(VERSION)_$(ARCH).udeb

## ----------------------------------------------------------------------
TMP_DIR		= $(CURDIR)/debian/tmp

## ----------------------------------------------------------------------
## targets

clean:		configure
		dh_testdir
		dh_testroot
		[ ! -f Makefile ] || $(MAKE) distclean
		dh_clean configure-stamp build-stamp install-stamp

configure:
		./autogen.sh

configure-stamp:	
		dh_testdir
		touch configure.in && touch aclocal.m4 && touch configure
		CFLAGS="$(CFLAGS)" \
		./configure $(CONFFLAGS) --prefix=/usr
		touch configure-stamp 

build:		build-stamp
build-stamp:	configure-stamp
		dh_testdir
		$(MAKE)
		touch build-stamp 

install:	install-stamp
install-stamp:	build
		dh_testdir
		dh_testroot
		dh_clean -k
		dh_installdirs
		$(MAKE) install prefix=$(TMP_DIR)/usr \
			man1dir=$(TMP_DIR)/usr/share/man/man1
		touch install-stamp

binary-indep:

binary-arch:	build install
		dh_testdir
		dh_testroot
		dh_install -a --sourcedir=$(TMP_DIR)
		dh_installdocs -a -N$(UPACKAGE)
		dh_installexamples -a -N$(UPACKAGE)
		dh_installchangelogs -a Changes -N$(UPACKAGE)
		dh_link -a
		dh_strip -a
		dh_compress -a
		dh_fixperms -a
		dh_makeshlibs -a -V -N$(UPACKAGE)
		dh_installdeb -a
		dh_shlibdeps -a -l $(PWD)/debian/libexpat1/usr/lib
		dh_gencontrol -a -N$(UPACKAGE)
		dh_gencontrol -p$(UPACKAGE) -- -fdebian/files~
		dpkg-distaddfile $(UFILENAME) debian-installer extra
		dh_md5sums -a -N$(UPACKAGE)
		dh_builddeb -a -N$(UPACKAGE)
		dh_builddeb -p$(UPACKAGE) --filename=$(UFILENAME)

binary:		binary-indep binary-arch

.PHONY:		clean build install binary-indep binary-arch binary

## ----------------------------------------------------------------------

## expat 1.95.8-4maemo

=== debian/changelog ===
expat (1.95.8-4maemo) unstable; urgency=low

  * Added debug package. Fixes: NB#40243

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 18 Oct 2006 17:01:28 +0300

=== debian/rules ===
--- 
+++ 
@@ -98,7 +98,7 @@
 		dh_installexamples -a -N$(UPACKAGE)
 		dh_installchangelogs -a Changes -N$(UPACKAGE)
 		dh_link -a
-		dh_strip -a
+		dh_strip -a --dbg-package=libexpat1
 		dh_compress -a
 		dh_fixperms -a
 		dh_makeshlibs -a -V -N$(UPACKAGE)

## expat 1.95.8-4maemo1

=== debian/changelog ===
expat (1.95.8-4maemo1) unstable; urgency=low

  * Patch for gcc4.2 from Leonid. Fixes: NB#78131

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed,  9 Jan 2008 09:31:22 +0200

=== debian/control ===
--- 
+++ 
@@ -31,6 +31,14 @@
  This package contains the runtime, shared library of expat, the C
  library for parsing XML.
 
+Package: libexpat1-dbg
+Section: libs
+Priority: optional
+Architecture: any
+Depends: libexpat1 (= ${Source-Version})
+Description: XML parsing C library - debug files.
+ This package contains debug files for the expat library.
+
 Package: libexpat1-udeb
 Section: debian-installer
 Priority: extra

=== debian/watch ===
version=2
ftp://ftp2.sf.net/pub/sourceforge/e/ex/expat/expat-?_?([\w+\d+\.]+|\d+)(\.tar|\.tgz)(\.gz|\.bz2|) debian uupdate

## expat 1.95.8-5maemo1%2b0m5

=== debian/changelog ===
expat (1.95.8-5maemo1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kojo Aapo <aapo.kojo@nokia.com>  Fri, 18 Sep 2009 09:54:27 +0300

expat (1.95.8-5maemo1) unstable; urgency=low

  * Recompilation for Fremantle (no code changes).
  * Fixes: NB#124285 - libexpat1 should be recompiled

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 16 Sep 2009 14:40:44 +0300

## expat 2.1.0~beta3

=== debian/changelog ===
expat (2.1.0~beta3-1) unstable; urgency=low

  * QA upload.
  * Beta release 2.1.0 beta3. Closes: #663579.
    - CVE-2012-1147 - Resource leak in readfilemap.c.
    - CVE-2012-1148 - Memory leak in poolGrow.
    - CVE-2012-0876 - Hash DOS attack.
    - Remove patches applied upstream.
  * Remove Daniel from uploaders (orphaned package).
  * Update package format to 3.0.
  * Enable hardened build. Closes: #653526.
  * Add a symbols file.
  * Install expat pkgconfig file.

 -- Matthias Klose <doko@debian.org>  Tue, 20 Mar 2012 22:37:22 +0100

expat (2.0.1-7.2ubuntu1) precise; urgency=low

  * CVE-2012-0876: Randomize hashes of xml attributes in the expat library
    to avoid a denial of service due to hash collisions.  Patch by David
    Malcolm with some modifications by the expat project.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 15 Mar 2012 02:13:54 +0100

expat (2.0.1-7.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix symlink breakage introduced with my last upload.  (Closes: #647340)

 -- Robert Millan <rmh@debian.org>  Wed, 02 Nov 2011 09:42:21 +0000

expat (2.0.1-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Multi-arch support (patch from Steve Langaseck).  (Closes: #632261)
  * Move libexpat.so.1 to /lib.  (Closes: #637101)

 -- Robert Millan <rmh@debian.org>  Sat, 22 Oct 2011 10:09:29 +0000

expat (2.0.1-7) unstable; urgency=low

  * debian/control (Depends): Fixed debhelper-but-no-misc-depends.
  * debian/patches/560901_CVE_2009_3560.dpatch: Adjusted.
    - lib/xmlparse.c (doProlog): Revised patch for CVE-2009-3560 after
      regressions have been detected (closes: #561658). Many thanks to
      Niko Tyni and Karl Waclawek for their help and the fix.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Tue, 29 Dec 2009 22:18:35 +0100

expat (2.0.1-6) unstable; urgency=medium

  * debian/patches/560901_CVE_2009_3560.dpatch: Added.
    - lib/xmlparse.c (doProlog): Fix DoS vulnerability CVE-2009-3560 (closes:
      #560901).
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 13 Dec 2009 12:06:07 +0100

expat (2.0.1-5) unstable; urgency=medium

  * debian/control (Standards-Version): Bumped to 3.8.3.
    (Priority, Section): Fixed binary-control-field-duplicates-source.
    (Description): Fixed extended-description-is-probably-too-short and
    duplicate-long-description.
  * debian/rules (CFLAGS): Drop useless '-pthread -D_REENTRANT' from version
    1.95-8-1 (closes: #551079).
  * debian/README.source: Added for policy compliance.
  * debian/patches/551936_CVE_2009_2625.dpatch: Added.
    - lib/xmltok_impl.c (updatePosition): Fix DoS vulnerability CVE-2009-2625
      and CVE-2009-3720 (closes: #551936).
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Tue, 03 Nov 2009 22:41:38 +0100

expat (2.0.1-4) unstable; urgency=low

  * debian/libexpat1-dev.install: Install the libtool .la files again and drop
    them after Lenny (closes: #485460).

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 09 Jun 2008 20:48:30 +0200

expat (2.0.1-3) unstable; urgency=low

  * debian/patches/485129_fix_underquotation_in_m4.dpatch: Added.
    - conftools/expat.m4: Fixed underquotation in AC_DEFUN (closes: #485129).
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 08 Jun 2008 20:15:58 +0200

expat (2.0.1-2) unstable; urgency=low

  * debian/rules: Set correct host flags to prevent FTBFS on architectures,
    where we build the lib64expat* packages.
    (build-stamp, install): Fixed a stupid mistake leading to an FTBFS on the
    architectures, where we don't build the lib64expat* packages.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sat, 07 Jun 2008 20:35:04 +0200

expat (2.0.1-1) unstable; urgency=low

  * New upstream release 2.0.1 (closes: #429175).

  [ Matthias Klose ]
  * debian/control: Added 64bit libraries.
    (Build-Depends): Added gcc-multilib.
  * debian/lib64expat1-dev.install: Added.
  * debian/lib64expat1.install: Ditto.
  * debian/lib64expat1.shlibs: Ditto.
  * debian/libexpat1.links: Remove the old libexpat.so.0 symlink.
  * debian/libexpat1-udeb.links: Ditto.
  * debian/libexpat1.shlibs: Removed libexpat.so.0.

  [ Daniel Leidert ]
  * Removed Debian-written autotools stuff.
  * debian/control: Added Homepage and Vcs* fields. Added conflicts with wink
    package version, relying on the compat symlink.
    (Standards-Version): Increased to 3.7.3.
    (Build-Depends): Added dpatch and docbook-to-man.
    (Uploaders): Added myself.
    (Depends): lib64expat1-dev should depend on libexpat1-dev.
  * debian/copyright: Added missing copyright of the last years.
  * debian/expat.install: Do not copy the upstream manpage (see debian/rules).
  * debian/libexpat1-dev.install: Install the expat.m4 macro file. Do not
    install the libtool .la files.
  * debian/lib64expat1-dev.install: Do not install the libtool .la files
    either.
  * debian/libexpat1-dev.examples: Only install the C sources.
  * debian/libexpat1-udeb.install: Make sure, only libexpat is installed (for
    the moment).
  * debian/libexpat1.shlibs: Adjusted for libexpatw.
  * debian/lib64expat1.shlibs: Ditto.
  * debian/rules: Rewritten to make it shorter (yeah sorry, I removed the
    comments too).
    - Added dpatch stuff.
    - Create the manpage xmlwf.1 on-the-fly (there is doc/xmlwf.1, but it has
      issues and gets patched, so we recreate it).
    - Build and install libexpatw with XML_UNICODE support enabled (closes:
      #277133).
  * debian/patches/82763_xmlwf_error_out_2.dpatch: Added (#82763).
  * debian/patches/302191_install_expat_config_h.dpatch: Added (#302191).
  * debian/patches/342684_libtoolize.dpatch: Added (#342684).
    - Further update configure (closes: #439127).
  * debian/patches/412786_xmlwf_man_standard_fix.dpatch: Added (#412786).
  * debian/patches/00list: Added.



## expat 2.1.0

=== debian/changelog ===
expat (2.1.0-4ubuntu1) trusty; urgency=low

  * Use dh-autoreconf.
  * Enable parallel builds.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Dec 2013 14:42:15 +0100

expat (2.1.0-4) unstable; urgency=low

  * New maintainer (closes: #660681).
  * Update to Standards-Version 3.9.4 , no changes needed.
  * Move to compat level 8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 07 Jul 2013 12:43:10 +0200

expat (2.1.0-3) unstable; urgency=low

  * QA upload, set maintainer address to the QA team.
  * Move expat_config.h into the multiarch include location.
  * Make libexpat1-dev Multi-Arch: same.
  * Update config.{guess,sub} for aarch64 (Wookey). Closes: #689619.
  * Don't ship the pkgconfig file in lib64expat1-dev. Closes: #706932.

 -- Matthias Klose <doko@debian.org>  Wed, 08 May 2013 11:13:47 +0200

expat (2.1.0-1) unstable; urgency=low

  * QA upload.
  * expat 2.1.0 release.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Apr 2012 10:22:55 +0200

expat (2.1.0~beta3-2) unstable; urgency=medium

  * Fix symbol version for XML_SetHashSalt. Addresses #665362.

 -- Matthias Klose <doko@debian.org>  Fri, 23 Mar 2012 17:33:01 +0100

=== debian/control ===
Source: expat
Section: text
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 8.1.3), docbook-to-man, dh-autoreconf,
 dpkg-dev (>= 1.16.0),
 gcc-multilib [i386 powerpc sparc s390]
Homepage: http://expat.sourceforge.net
Vcs-Browser: http://svn.debian.org/wsvn/debian-xml-sgml/packages/expat/trunk/
Vcs-Svn: svn://svn.debian.org/svn/debian-xml-sgml/packages/expat/trunk/

Package: lib64expat1-dev
Section: libdevel
Architecture: i386 powerpc sparc s390
Depends: ${misc:Depends}, lib64expat1 (= ${binary:Version}), libexpat1-dev, gcc-multilib
Description: XML parsing C library - development kit (64bit)
 This package contains the header file and development libraries of
 expat, the C library for parsing XML.  Expat is a stream oriented XML
 parser.  This means that you register handlers with the parser prior
 to starting the parse.  These handlers are called when the parser
 discovers the associated structures in the document being parsed.  A
 start tag is an example of the kind of structures for which you may
 register handlers.
 .
 This package includes the development support files for building 64 bit
 applications.

Package: lib64expat1
Section: libs
Architecture: i386 powerpc sparc s390
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: XML parsing C library - runtime library (64bit)
 This package contains the runtime, shared library of expat, the C
 library for parsing XML. Expat is a stream-oriented parser in
 which an application registers handlers for things the parser
 might find in the XML document (like start tags).
 .
 This package includes the 64 bit version of the shared library.

Package: libexpat1-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Provides: libexpat-dev
Conflicts: libexpat-dev
Depends: ${misc:Depends}, libexpat1 (= ${binary:Version}), libc6-dev | libc-dev
Description: XML parsing C library - development kit
 This package contains the header file and development libraries of
 expat, the C library for parsing XML.  Expat is a stream oriented XML
 parser.  This means that you register handlers with the parser prior
 to starting the parse.  These handlers are called when the parser
 discovers the associated structures in the document being parsed.  A
 start tag is an example of the kind of structures for which you may
 register handlers.

Package: libexpat1
Section: libs
Architecture: any
Conflicts: wink (<= 1.5.1060-4)
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: XML parsing C library - runtime library
 This package contains the runtime, shared library of expat, the C
 library for parsing XML. Expat is a stream-oriented parser in
 which an application registers handlers for things the parser
 might find in the XML document (like start tags).

Package: libexpat1-udeb
XC-Package-Type: udeb
Section: debian-installer
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: XML parsing C library - runtime library
 This package contains the runtime, shared library of expat, the C
 library for parsing XML.

Package: expat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: XML parsing C library - example application
 This package contains xmlwf, an example application of expat, the C
 library for parsing XML.  The arguments to xmlwf are one or more
 files which are each to be checked for XML well-formedness.

=== debian/rules ===
#!/usr/bin/make -f
## ----------------------------------------------------------------------
## debian/rules : package script for expat
## ----------------------------------------------------------------------

## uncomment this to turn on verbose mode
#export DH_VERBOSE=1

DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

BUILD64 = $(filter $(DEB_HOST_ARCH), i386 powerpc sparc s390)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	CONFFLAGS = --build=$(DEB_HOST_GNU_TYPE)
else
	CONFFLAGS = --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif

ifeq ($(DEB_HOST_ARCH),i386)
	HOST64FLAG = --host=x86_64-linux-gnu
endif
ifeq ($(DEB_HOST_ARCH),powerpc)
	HOST64FLAG = --host=ppc64-linux-gnu
endif
ifeq ($(DEB_HOST_ARCH),sparc)
	HOST64FLAG = --host=sparc64-linux-gnu
endif
ifeq ($(DEB_HOST_ARCH),s390)
	HOST64FLAG = --host=s390x-linux-gnu
endif

# -pthread -D_REENTRANT #551079
CFLAGS  = `dpkg-buildflags --get CFLAGS`
CFLAGS  += -Wall

LDFLAGS = -Wl,-Bsymbolic-functions
LDFLAGS += `dpkg-buildflags --get LDFLAGS`

CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`

UPACKAGE = $(shell dh_listpackages | grep -- -udeb$$)

COMMA = ,
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  NJOBS := -j $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

config-common-stamp:
	dh_testdir
	dh_autoreconf
	touch $@

build/config.status: config-common-stamp
	dh_testdir
	(mkdir -p $(@D); cd $(@D); CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" \
	 ../configure $(CONFFLAGS) --prefix=/usr --mandir=\$${prefix}/share/man --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH))

buildw/config.status: config-common-stamp
	dh_testdir
	(mkdir -p $(@D); cd $(@D); CFLAGS="$(CFLAGS) -DXML_UNICODE" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" \
	 ../configure $(CONFFLAGS) --prefix=/usr --mandir=\$${prefix}/share/man --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH))

build64/config.status: config-common-stamp
	dh_testdir
	(mkdir -p $(@D); cd $(@D); CFLAGS="-m64 $(CFLAGS)" CPPFLAGS="$(CPPFLAGS)"  LDFLAGS="$(LDFLAGS)" \
	 ../configure $(CONFFLAGS) $(HOST64FLAG) --prefix=/usr --mandir=\$${prefix}/share/man \
	 --libdir=\$${prefix}/lib64)

buildw64/config.status: config-common-stamp
	dh_testdir
	(mkdir -p $(@D); cd $(@D); CFLAGS="-m64 $(CFLAGS) -DXML_UNICODE" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" \
	 ../configure $(CONFFLAGS) $(HOST64FLAG) --prefix=/usr --mandir=\$${prefix}/share/man \
	 --libdir=\$${prefix}/lib64)

clean:
	dh_testdir
	dh_testroot
	rm -rf build/ build64/ buildw/ buildw64/
	rm -rf debian/tmp/
	dh_autoreconf_clean
	dh_clean config-common-stamp build-stamp debian/xmlwf.1

build: build-stamp
build-arch: build-stamp
build-indep: build-stamp
build-stamp: build/config.status buildw/config.status $(if $(BUILD64), build64/config.status buildw64/config.status)
	dh_testdir
	$(MAKE) $(NJOBS) -C build/
	$(MAKE) $(NJOBS) -C buildw/ buildlib LIBRARY=libexpatw.la
ifneq ($(BUILD64),)
	$(MAKE) $(NJOBS) -C build64/ buildlib
	$(MAKE) $(NJOBS) -C buildw64/ buildlib LIBRARY=libexpatw.la
endif
	docbook-to-man doc/xmlwf.sgml > debian/xmlwf.1
	touch $@

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) -C build/ install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C buildw/ installlib LIBRARY=libexpatw.la DESTDIR=$(CURDIR)/debian/tmp APIHEADER=
ifneq ($(BUILD64),)
	$(MAKE) -C build64/ installlib DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C buildw64/ installlib LIBRARY=libexpatw.la DESTDIR=$(CURDIR)/debian/tmp APIHEADER=
endif
	# Move libexpat.so.* to /lib so that zfsutils can use it.
	mkdir -p $(CURDIR)/debian/tmp/lib/$(DEB_HOST_MULTIARCH)
	mv $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libexpat.so.* \
		$(CURDIR)/debian/tmp/lib/$(DEB_HOST_MULTIARCH)/
	for i in $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libexpat.so ; do \
		dest=$$(readlink $$i) ; \
		rm -f $$i ; \
		ln -s /lib/$(DEB_HOST_MULTIARCH)/$$dest $$i ; \
	done
	mkdir -p debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)
	mv debian/tmp/usr/include/expat_config.h debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/.

binary-indep: build install
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install -s --sourcedir=debian/tmp
	dh_installdocs -s
	dh_installman -pexpat debian/xmlwf.1
	dh_installexamples -s
	dh_installchangelogs -s Changes
	dh_link -s
	dh_strip -s
	dh_compress -s
	dh_fixperms -s
	chmod 644 $(CURDIR)/debian/libexpat1-dev/usr/share/doc/libexpat1-dev/examples/* \
	          $(CURDIR)/debian/libexpat1-dev/usr/share/aclocal/*
	dh_makeshlibs -s -V --add-udeb=$(UPACKAGE)
	dh_installdeb -s
	dh_shlibdeps -s -l $(CURDIR)/debian/libexpat1/usr/lib/$(DEB_HOST_MULTIARCH):$(CURDIR)/debian/lib64expat1/usr/lib64
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

binary: binary-indep binary-arch

.PHONY: clean build install binary-indep binary-arch binary

## expat 2.2.0

=== debian/changelog ===
expat (2.2.0-2+deb9u5) stretch-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  * Run the upstream tests during the build.
  * CVE-2022-25235: arbitrary code execution due to malformed 2- and 3-byte
    UTF-8.
  * CVE-2022-25236: arbitrary code execution due to namespace-separator
    characters.
  * CVE-2022-25313: stack exhaustion in build_model.
  * CVE-2022-25315: integer overflow in storeRawNames.
  * Include follow-up fix for CVE-2022-25236.
  * Fix build issue in the tests of CVE-2022-23852.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 03 Mar 2022 10:03:00 +0100

expat (2.2.0-2+deb9u4) stretch-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2021-46143, CVE-2022-22822, CVE-2022-22823, CVE-2022-22824,
    CVE-2022-22825, CVE-2022-22826, CVE-2022-22827, CVE-2022-23852,
    CVE-2022-23990 and CVE-2021-45960.
    Multiple security vulnerabilities have been discovered in Expat, the XML
    parsing C library. Integer overflows or invalid shifts may lead to a denial
    of service or other unspecified impact.

 -- Markus Koschany <apo@debian.org>  Sun, 30 Jan 2022 17:51:06 +0100

expat (2.2.0-2+deb9u3) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * xmlparse.c: Deny internal entities closing the doctype (CVE-2019-15903)
    (Closes: #939394)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 19 Sep 2019 23:43:05 +0200

expat (2.2.0-2+deb9u2) stretch-security; urgency=high

  * Fix extraction of namespace prefix from XML name (CVE-2018-20843)
    (closes: #931031).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 27 Jun 2019 19:10:58 +0000

expat (2.2.0-2+deb9u1) stretch-security; urgency=high

  * Replace the Mozilla CVE-2016-9063 fix with the more complete, upstream
    one.
  * Fix CVE-2017-9233: external entity infinite loop DoS.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 17 Jun 2017 21:31:56 +0000

expat (2.2.0-2) unstable; urgency=high

  * Use fix from Mozilla for CVE-2016-9063: integer overflow during the
    parsing of XML.
  * Replace deprecated -s debhelper switch with the -a one.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 02 Jan 2017 21:12:32 +0000

expat (2.2.0-1) unstable; urgency=low

  * New upstream release, update symbols accordingly.
  * Use upstream manpage for xmlwf.
  * Drop all patches as this release contains those.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 21 Jun 2016 15:29:58 +0000

expat (2.1.1-3) unstable; urgency=high

  * Use upstream fix for the following security vulnerabilities:
    - CVE-2012-6702, unanticipated internal calls to srand
    - CVE-2016-5300, use of too little entropy

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 05 Jun 2016 00:17:46 +0000

expat (2.1.1-2) unstable; urgency=high

  * Avoid relying on undefined behavior in CVE-2015-1283 fix.
  * Apply upstream patch to fix the root cause of CVE-2016-0718 and
    CVE-2016-0719 vulnerabilities.
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 16 May 2016 05:35:08 +0000

expat (2.1.1-1) unstable; urgency=low

  * New upstream release.
  * Remove all patches, applied upstream.
  * Update Standards-Version to 3.9.7 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 12 Mar 2016 07:28:07 +0100

expat (2.1.0-7) unstable; urgency=high

  * Fix CVE-2015-1283, multiple integer overflows in the XML_GetBuffer
    function (closes: #793484).
  * Update Standards-Version to 3.9.6 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 24 Jul 2015 14:48:45 +0000

expat (2.1.0-6) unstable; urgency=low

  * Really do the Ubuntu sync (closes: #748250).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 04 Jun 2014 15:54:15 +0000

expat (2.1.0-5) unstable; urgency=low

  * Move to Standards-Version 3.9.5 and to debhelper level 9 .
  * Sync with Ubuntu.

  [ Matthias Klose <doko@ubuntu.com> ]
  * Use dh-autoreconf (closes: #748250).
  * Enable parallel builds.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 18 May 2014 20:43:19 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: text
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 8.1.3), docbook-to-man, dh-autoreconf,
+Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9), docbook-to-man, dh-autoreconf,
  dpkg-dev (>= 1.16.0),
  gcc-multilib [i386 powerpc sparc s390]
 Homepage: http://expat.sourceforge.net

=== debian/rules ===
--- 
+++ 
@@ -94,10 +94,13 @@
 	$(MAKE) $(NJOBS) -C build64/ buildlib
 	$(MAKE) $(NJOBS) -C buildw64/ buildlib LIBRARY=libexpatw.la
 endif
-	docbook-to-man doc/xmlwf.sgml > debian/xmlwf.1
+#	docbook-to-man doc/xmlwf.sgml > debian/xmlwf.1
 	touch $@
 
-install: build
+check: build
+	$(MAKE) -C build/ check
+
+install: build check
 	dh_testdir
 	dh_testroot
 	dh_prep
@@ -124,23 +127,24 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_install -s --sourcedir=debian/tmp
-	dh_installdocs -s
-	dh_installman -pexpat debian/xmlwf.1
-	dh_installexamples -s
-	dh_installchangelogs -s Changes
-	dh_link -s
-	dh_strip -s
-	dh_compress -s
-	dh_fixperms -s
+	dh_install -a --sourcedir=debian/tmp
+	dh_installdocs -a
+	dh_installman -a
+#	dh_installman -pexpat debian/xmlwf.1
+	dh_installexamples -a
+	dh_installchangelogs -a Changes
+	dh_link -a
+	dh_strip -a
+	dh_compress -a
+	dh_fixperms -a
 	chmod 644 $(CURDIR)/debian/libexpat1-dev/usr/share/doc/libexpat1-dev/examples/* \
 	          $(CURDIR)/debian/libexpat1-dev/usr/share/aclocal/*
-	dh_makeshlibs -s -V --add-udeb=$(UPACKAGE)
-	dh_installdeb -s
-	dh_shlibdeps -s -l $(CURDIR)/debian/libexpat1/usr/lib/$(DEB_HOST_MULTIARCH):$(CURDIR)/debian/lib64expat1/usr/lib64
-	dh_gencontrol -s
-	dh_md5sums -s
-	dh_builddeb -s
+	dh_makeshlibs -a -V --add-udeb=$(UPACKAGE)
+	dh_installdeb -a
+	dh_shlibdeps -a -l $(CURDIR)/debian/libexpat1/usr/lib/$(DEB_HOST_MULTIARCH):$(CURDIR)/debian/lib64expat1/usr/lib64
+	dh_gencontrol -a
+	dh_md5sums -a
+	dh_builddeb -a
 
 binary: binary-indep binary-arch

## expat 2.2.3

=== debian/changelog ===
expat (2.2.3-1) unstable; urgency=medium

  * New upstream release.
  * Remove dh-autoreconf build dependency.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 02 Aug 2017 19:54:40 +0000

expat (2.2.2-2) unstable; urgency=medium

  * Build with libbsd on Hurd as well.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 16 Jul 2017 14:23:03 +0000

expat (2.2.2-1) unstable; urgency=high

  * New upstream release:
    - fix non-NULL parser parameter validation in XML_Parse; resulted in
      NULL dereference.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 13 Jul 2017 22:46:33 +0000

expat (2.2.1-3) unstable; urgency=medium

  * Add libbsd-dev dependency to libexpat1-dev on kFreeBSD architectures
    (closes: #867252).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 05 Jul 2017 17:45:36 +0000

expat (2.2.1-2) unstable; urgency=medium

  * Fix mis-detection of getrandom() on kFreeBSD.
  * Utilize libbsd for arc4random_buf() on kFreeBSD.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 22 Jun 2017 21:05:46 +0000

expat (2.2.1-1) unstable; urgency=high

  * New upstream release:
    - upstream fix for CVE-2016-9063 to prevent undefined behavior from signed
      integer overflow,
    - fix CVE-2017-9233: external entity infinite loop DoS,
    - fix regression from fix to CVE-2016-0718 cutting off longer tag names,
    - use high quality entropy for hash initialization for part of
      CVE-2016-5300,
    - change hash algorithm to William Ahern's version of SipHash to go
      further with fixing CVE-2012-0876.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 17 Jun 2017 20:48:02 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: text
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9), docbook-to-man, dh-autoreconf,
- dpkg-dev (>= 1.16.0),
+Standards-Version: 4.0.0
+Build-Depends: debhelper (>= 10), docbook-to-man,
+ libbsd-dev [kfreebsd-amd64 kfreebsd-i386 hurd-i386],
  gcc-multilib [i386 powerpc sparc s390]
 Homepage: http://expat.sourceforge.net
 Vcs-Browser: http://svn.debian.org/wsvn/debian-xml-sgml/packages/expat/trunk/
@@ -44,7 +44,7 @@
 Multi-Arch: same
 Provides: libexpat-dev
 Conflicts: libexpat-dev
-Depends: ${misc:Depends}, libexpat1 (= ${binary:Version}), libc6-dev | libc-dev
+Depends: ${misc:Depends}, libexpat1 (= ${binary:Version}), libbsd-dev [kfreebsd-amd64 kfreebsd-i386], libc6-dev | libc-dev
 Description: XML parsing C library - development kit
  This package contains the header file and development libraries of
  expat, the C library for parsing XML.  Expat is a stream oriented XML

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_ARCH_OS   ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 BUILD64 = $(filter $(DEB_HOST_ARCH), i386 powerpc sparc s390)
@@ -30,6 +31,10 @@
 endif
 ifeq ($(DEB_HOST_ARCH),s390)
 	HOST64FLAG = --host=s390x-linux-gnu
+endif
+
+ifneq (,$(filter $(DEB_HOST_ARCH_OS), kfreebsd hurd))
+	CONFFLAGS += --with-libbsd
 endif
 
 # -pthread -D_REENTRANT #551079
@@ -97,10 +102,7 @@
 #	docbook-to-man doc/xmlwf.sgml > debian/xmlwf.1
 	touch $@
 
-check: build
-	$(MAKE) -C build/ check
-
-install: build check
+install: build
 	dh_testdir
 	dh_testroot
 	dh_prep
